# Uses of Annotation Interface
nu.validator.htmlparser.annotation.NsUri

Packages that use NsUri
Package
Description
nu.validator.htmlparser.impl
This package contains the bulk of parser internals.

## Uses of NsUri in nu.validator.htmlparser.impl

Methods in nu.validator.htmlparser.impl with annotations of type NsUri
Modifier and Type
Method
Description
`String`
AttributeName.`getUri(int mode)`
`String`
HtmlAttributes.`getURI(int index)`
`String`
HtmlAttributes.`getURINoBoundsCheck(int index)`
Variant of `getURI(int index)` without bounds check.
`String`
HtmlAttributes.`getXmlnsURI(int index)`
Method parameters in nu.validator.htmlparser.impl with annotations of type NsUri
Modifier and Type
Method
Description
`protected abstract T`
TreeBuilder.`createAndInsertFosterParentedElement(String ns, String name, HtmlAttributes attributes, T table, T stackParent)`
`protected T`
TreeBuilder.`createAndInsertFosterParentedElement(String ns, String name, HtmlAttributes attributes, T form, T table, T stackParent)`
`protected abstract T`
TreeBuilder.`createElement(String ns, String name, HtmlAttributes attributes, T intendedParent)`
`protected T`
TreeBuilder.`createElement(String ns, String name, HtmlAttributes attributes, T form, T intendedParent)`
`protected void`
TreeBuilder.`elementPopped(String ns, String name, T node)`
`protected void`
TreeBuilder.`elementPushed(String ns, String name, T node)`
`final void`
TreeBuilder.`setFragmentContext(String context, String ns, T node, boolean quirks)`
The argument MUST be an interned string or `null`.